using KWEngine3;
using OpenTK.Windowing.Desktop;
using OpenTK.Windowing.GraphicsLibraryFramework;
using System.Runtime.InteropServices;

namespace KWEngine3_Game
{
    public class Program
    {
        static void Main(string[] args)
        {
            // Für Linux/MacOS gelten ein paar Sonderregeln:
            if(RuntimeInformation.IsOSPlatform(OSPlatform.Linux) || RuntimeInformation.IsOSPlatform(OSPlatform.OSX))
            {
                GLFWProvider.SetErrorCallback(GlfwErrorHandler);
                KWEngine.GBufferLighting = GBufferLightingMode.SeparateDrawCalls;
            }

            using (GameWindow gw = new GameWindow())
            {
                gw.Run();
            }
        }

        internal static void GlfwErrorHandler(ErrorCode errorCode, string description)
        {
            return;
        }
    }
}